Package org.apache.wiki.auth.user

## Class DuplicateUserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.WikiI18nException
        - - org.apache.wiki.auth.user.DuplicateUserException

All Implemented Interfaces:
  `java.io.Serializable`

    public final class DuplicateUserException
    extends WikiI18nException

Exception indicating that an identical user already exists in the user database.

Since:
  2.3
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.api.exceptions.WikiI18nException

`args`

### Constructor Summary

Constructors
`DuplicateUserException​(java.lang.String message)`
`DuplicateUserException​(java.lang.String message, java.lang.Object... args)`

### Method Summary

### Methods inherited from class org.apache.wiki.api.exceptions.WikiI18nException

`getArgs`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuplicateUserException

    public DuplicateUserException​(java.lang.String message)

#### DuplicateUserException

    public DuplicateUserException​(java.lang.String message,
                                  java.lang.Object... args)